Bug 1025155 - Unnecessary messages are highlighted when creating app using invalid name
Unnecessary messages are highlighted when creating app using invalid name
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Management Console (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-31 02:30 EDT by Tian Feng
Modified: 2015-05-14 21:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:28:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tian Feng 2013-10-31 02:30:49 EDT
Description of problem:
When try to create an app with invalid name or duplicate name, it will highlight suggestion "You can also create a new domain.". This would misslead user. And message "OpenShift will automatically register this domain name for your application. You can add your own domain name later. " is not related to the error, but it is also highlighted.

Version-Release number of selected component (if applicable):
devenv_3973

How reproducible:
Always

Steps to Reproduce:
1. try to create app with invalid name
2. check the highlighted error message
3. 

Actual results:
Unnecessary suggestion, says "You can also create a new domain.", and "OpenShift will automatically register this domain name for your application.  You can add your own domain name later. " are both highlighted. It's missleading.

Expected results:
Unnecessary suggestions should not be highlight.

Additional info:
Comment 1 Jordan Liggitt 2013-11-08 12:54:56 EST
Will merge in https://github.com/openshift/origin-server/pull/4135
Comment 2 openshift-github-bot 2013-11-08 14:20:24 EST
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/1524456e5843ce8493458c99586d8c4b6be6646e
Fix bug 1025155: error message highlighting
Comment 3 Tian Feng 2013-11-10 22:54:14 EST
Tested on devenv_4016, "You can also create a new domain." is not highlighted. But Unnecessary suggestion, says "You can also create a new domain.", and "OpenShift will automatically register this domain name for your application.  You can add your own domain name later. " is hightlighted. So get right result. Verified this bug. Thanks!

Note You need to log in before you can comment on or make changes to this bug.